ru.bitel.bgbilling.modules.voice.api.server.bean

## Class VoiceDeviceMap.VoiceDeviceMapItem

- java.lang.Object
- - ru.bitel.bgbilling.modules.voice.api.server.bean.VoiceDeviceMap.VoiceDeviceMapItem

- Enclosing class:
    VoiceDeviceMap

      public class VoiceDeviceMap.VoiceDeviceMapItem
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VoiceDeviceMapItem(VoiceDeviceMap.VoiceDeviceMapItem parent, VoiceDevice device, ParameterMap config)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `VoiceDeviceMap.VoiceDeviceMapItem` | `findRoot(java.util.Set<java.lang.Integer> rootDeviceTypeId)`
    `java.util.Set<java.lang.Integer>` | `getAncestorIds()` ID всех предков.
    `ParameterMap` | `getConfig()`
    `java.util.Set<java.lang.Integer>` | `getDescendantIds()` ID всех потомков.
    `VoiceDevice` | `getDevice()`
    `VoiceDeviceMap.VoiceDeviceMapItem` | `getParent()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VoiceDeviceMapItem

          public VoiceDeviceMapItem(VoiceDeviceMap.VoiceDeviceMapItem parent,
                                    VoiceDevice device,
                                    ParameterMap config)

  - ### Method Detail

    - #### getParent

          public VoiceDeviceMap.VoiceDeviceMapItem getParent()

    - #### getDevice

          public VoiceDevice getDevice()

    - #### getConfig

          public ParameterMap getConfig()

    - #### getDescendantIds

          public java.util.Set<java.lang.Integer> getDescendantIds()

      ID всех потомков.

    - #### getAncestorIds

          public java.util.Set<java.lang.Integer> getAncestorIds()

      ID всех предков.

    - #### findRoot

          public VoiceDeviceMap.VoiceDeviceMapItem findRoot(java.util.Set<java.lang.Integer> rootDeviceTypeId)